JUnitPlatformOptions (Gradle API 5.6.1)
Date: 2019-09-03

Package org.gradle.api.tasks.testing.junitplatform

## Class JUnitPlatformOptions

- java.lang.Object
- - org.gradle.api.tasks.testing.TestFrameworkOptions
  - - org.gradle.api.tasks.testing.junitplatform.JUnitPlatformOptions

-     @Incubating
      public class JUnitPlatformOptions
      extends TestFrameworkOptions

  The JUnit platform specific test options.
  Since:
    4.6
  See Also:
    JUnit 5 User Guide

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JUnitPlatformOptions()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `JUnitPlatformOptions` | `excludeEngines​(String... excludeEngines)` | The set of engines to exclude.
    `JUnitPlatformOptions` | `excludeTags​(String... excludeTags)` | The set of tags to exclude.
    `Set<String>` | `getExcludeEngines()` |
    `Set<String>` | `getExcludeTags()` |
    `Set<String>` | `getIncludeEngines()` |
    `Set<String>` | `getIncludeTags()` |
    `JUnitPlatformOptions` | `includeEngines​(String... includeEngines)` | The set of engines to run with.
    `JUnitPlatformOptions` | `includeTags​(String... includeTags)` | The set of tags to run with.
    `void` | `setExcludeEngines​(Set<String> excludeEngines)` |
    `void` | `setExcludeTags​(Set<String> excludeTags)` |
    `void` | `setIncludeEngines​(Set<String> includeEngines)` |
    `void` | `setIncludeTags​(Set<String> includeTags)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JUnitPlatformOptions

          public JUnitPlatformOptions()

  - ### Method Detail

    - #### includeEngines

          public JUnitPlatformOptions includeEngines​(String... includeEngines)

      The set of engines to run with. Equivalent to invoking EngineFilter.includeEngines.
      See Also:
        Test Engine

    - #### includeTags

          public JUnitPlatformOptions includeTags​(String... includeTags)

      The set of tags to run with. Equivalent to invoking TagFilter.includeTags.
      See Also:
        Tagging and Filtering

    - #### excludeEngines

          public JUnitPlatformOptions excludeEngines​(String... excludeEngines)

      The set of engines to exclude. Equivalent to invoking EngineFilter.excludeEngines.
      See Also:
        Test Engine

    - #### excludeTags

          public JUnitPlatformOptions excludeTags​(String... excludeTags)

      The set of tags to exclude. Equivalent to invoking TagFilter.excludeTags.
      See Also:
        Tagging and Filtering

    - #### getIncludeEngines

          @Input
          public Set<String> getIncludeEngines()

    - #### getIncludeTags

          @Input
          public Set<String> getIncludeTags()

    - #### setIncludeEngines

          public void setIncludeEngines​(Set<String> includeEngines)

    - #### getExcludeEngines

          @Input
          public Set<String> getExcludeEngines()

    - #### setExcludeEngines

          public void setExcludeEngines​(Set<String> excludeEngines)

    - #### setIncludeTags

          public void setIncludeTags​(Set<String> includeTags)

    - #### getExcludeTags

          @Input
          public Set<String> getExcludeTags()

    - #### setExcludeTags

          public void setExcludeTags​(Set<String> excludeTags)